import Logger from "./utils/Logger.js";
import StarGazer from "./game/StarGazer.js";
import GazePoint from "./game/GazePoint.js";

function init() {
	Logger.enable();
	document.addEventListener("mousemove", onMouseMove);
	StarGazer.init({
		canvas: document.querySelector("canvas"),
		fps: 60,
		width: 800,
		height: 800,
	});
}

function onMouseMove(event) {
	StarGazer.onGazeUpdate({
		target: new GazePoint(event.screenX, event.screenY),
	});
}

init();